import { AiMoudle } from '@/pages/ai-chat';
import { Outlet } from 'react-router-dom';

type LayoutMainProps = {
  title?: React.ReactNode;
  children?: React.ReactNode;
};
export const LayoutMain = (props: LayoutMainProps) => {
  return (
    <div className='flex w-full h-full flex-col'>
      <div className='layout-menu'>{props.title}</div>
      <div
        className='flex'
        style={{
          height: 'calc(100vh - 3rem)',
        }}>
        <div className='flex-grow overflow-hidden'>
          <div className='w-full h-full rounded-lg'>
            <Outlet />
          </div>
        </div>
        <AiMoudle />
      </div>
    </div>
  );
};
